Upgrade from 1.4.11 to 1.4.16 getting DAX driver error

  • 2
  • Problem
  • Updated 3 years ago
  • Solved
After upgrading SmartSDR from 1.4.11 to 1.4.16 I'm getting a DAX driver error.  To confuse things further I also upgraded to the latest version of Windows 10 build 10162 so the beta OS may be at fault.  After the error (below) the DAX window shows a red dax channel 1 with a driver error.  Reboot has not resolved the issue.  Running a 6500 in remote bode with dax 1 channel selected for the first slice.

---------------------------
DAX Driver Error
---------------------------
An error has occurred while trying to open a DAX sound device. The following fault conditions may apply:

- The DAX driver may not be properly installed
- Another application has exclusive use of a Reserved DAX sound device
- The DAX sound device may have been manually disabled

If this problem persists, please submit a HelpDesk support request (http://helpdesk.flexradio.com) for technical assistance.
---------------------------
OK  
---------------------------
Photo of Larry da Ponte

Larry da Ponte

  • 159 Posts
  • 15 Reply Likes

Posted 3 years ago

  • 2
Photo of Tim - W4TME

Tim - W4TME, Customer Experience Manager

  • 9152 Posts
  • 3479 Reply Likes
Official Response
George is right.  Any Win10 upgrade will mess up the installed drivers that includes DAX, CAT and the FlexControl.  We suspect (hope) that this behavior will cease once the released version of Win 10 is available on July 29.  Until then, we are not officially supporting Win10.

The "fix" for this is to completely uninstall SmartSDR including the DAX and CAT drivers and do a full re-install.